%define upstream_name Rose-Object
%define	modprefix Rose
%define upstream_version 0.860

# circular dependency
%define _requires_exceptions perl(Rose::DateTime

Summary:    A simple object base class
Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Rose/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)
BuildArch:  noarch

%description
Rose::Object is a generic object base class. It provides very little
functionality, but a healthy dose of convention.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man*/*
%{perl_vendorlib}/%{modprefix}

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.860.0-2.mga4
+ Revision: 539283
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.860.0-1.mga4
+ Revision: 491728
- update to 0.860

* Sun Jan 13 2013 umeabot <umeabot> 0.859.0-2.mga3
+ Revision: 372312
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.859.0-1.mga1
+ Revision: 28747
- mageia rebuild
- imported package perl-Rose-Object

